<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class DateBook_Post_Types
 *
 * @class DateBook_Post_Types
 * @package DateBook/Classes/Post_Types
 * @author Pagick Themes
 */
class DateBook_Post_Types {


	/**
	 * Initialize post types
	 *
	 * @access public
	 * @return void
	 */
	public static function init() {

		self::datebook_includes();

	}


	/**
	 * Loads post types
	 *
	 * @access public
	 * @return void
	 */
	public static function datebook_includes() {

		require_once DATEBOOK_DIR . 'includes/post-types/class-datebook-post-type-profile.php';
		require_once DATEBOOK_DIR . 'includes/post-types/class-datebook-post-type-tour.php';
		require_once DATEBOOK_DIR . 'includes/post-types/class-datebook-post-type-classifieds.php';
		require_once DATEBOOK_DIR . 'includes/post-types/class-datebook-post-type-notification.php';

	}

}

DateBook_Post_Types::init();